Update Bandwidth Overage Protection limit
curl -X POST "https://api.5centscdn.com/v2/account/bwop" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"bwop": 110
}'
import requests
import json
url = "https://api.5centscdn.com/v2/account/bwop"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"bwop": 110
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/account/bwop", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"bwop": 110
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"bwop": 110
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/account/bwop", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/account/bwop')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"bwop": 110
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Bandwidth Overage Protection Updated"
}
POST
/account/bwop
POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
bwopinteger
RequiredMonthly bandwidth limit as a percentage of the plan's included bandwidth. Valid values between 90 and 120 (inclusive). Use 0 to disable.
Min: 90 • Max: 120
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Body
application/json
bwopinteger
RequiredMonthly bandwidth limit as a percentage of the plan's included bandwidth. Valid values between 90 and 120 (inclusive). Use 0 to disable.
Responses
resultstring
Operation outcome.
messagestring
Human-readable description of the operation outcome.
Was this page helpful?